<?php
date_default_timezone_set('America/Mexico_City');
require_once("../../comun/conexion3.php");

require_once("../../comun/actions.php");

require_once("../../comun/funciones.php");


$action = new actions();


$operacion	= $_POST['operacion'];
//$action->alert($_POST['operacion']);

$idcliente			= $_POST['idcliente'];
$idusuario			= $_POST['idusuario'];
//$action->alert($_POST['idcliente']);
$razonsocial = trim(strtoupper($_POST['razonsocial']));

$lbCampo_Valido = true;
$realizado		= false;
$alertar		= false;

		if($operacion== "ALTA"){
			$existente	= false;
			$query		= "SELECT * FROM clientes  WHERE nombre='$razonsocial'";
			$result		= mysqli_query( $query);

			if ( mysqli_num_rows($result)>0 ) {
					$msg="Ya existe un cliente con este nombre, por favor rectifique.";
					$existente	= true;
			}

			if ( $existente ) {
				$realizado	= false;
			} else {
				mysqli_query("insert into clientes (nombre,usuarioCreo,fechaRegistro) values ('$razonsocial','$idusuario','".date("Y-m-d H:i:s")."')");
				$realizado	= true;
			}

					if ( !$realizado ) {
						$alertar	= true;
					}

			}


		if($operacion== "BAJA"){
			$existente	= false;
			$query		= "SELECT * FROM alias WHERE idcliente='$idcliente'";
			$result		= mysqli_query( $query);

			if (mysqli_num_rows($result)>0 ) {
					$existente	= true;
			}
			
			if ( $existente ) {
				$msg="No es posible borrar este cliente ya que tiene sucursales asociadas.";
				$realizado	= false;
			} else {
				mysqli_query("delete from clientes where id= '$idcliente'");
				$realizado	= true;
			}

					if ( !$realizado ) {
						$alertar	= true;
					}

		}

		if($operacion== "CAMBIO"){
			$existente	= false;
			$query		= "SELECT * FROM clientes  WHERE nombre='$razonsocial' and id<>'$idcliente'";
			$result		= mysqli_query( $query);

			if ( mysqli_num_rows($result)>0 ) {
					$existente	= true;
			}

			if ( $existente ) {
				$msg="Este cliente ya está registrado, por favor rectifique.";
				$realizado	= false;
			} else {
				mysqli_query("update clientes set nombre='$razonsocial',
							usuarioEdito='$idusuario', fechaUpdate='".date("Y-m-d H:i:s")."' 
							where id='$idcliente'");
				$realizado	= true;
			}

					if ( !$realizado ) {
						$alertar	= true;
					}

			}


	if ( $lbCampo_Valido && $realizado ){
		$action->alert( "Operación de $operacion fue realizada exitosamente" );
	}else if ( $alertar ){
		$action->alert( $msg );
	}

$action->send_response();

return;

?>